Home

# Class goog.graphics.ext.Group

Wrapper for a graphics group.

extends goog.graphics.ext.Element

Instance Method Summary
| `addChild(!goog.graphics.ext.Element element, boolean= opt_chain)` Add an element to the group. This should be treated as package local, as it is called by the draw* methods.
| `clear()` Remove all drawing elements from the group.
| `forEachChild(?Function f, ?Object= opt_obj)` Calls the given function on each of this component's children in order. If {@code opt_obj} is provided, it will be used as the 'this' object in the function when called. The function should take two arguments: the child component and its 0-based index. The return value is ignored.
| `getCoordinateHeight() ⇒ number`
| `getCoordinateWidth() ⇒ number`
| `growToFit_(!goog.graphics.ext.Element element) ⇒ boolean` When adding an element, grow this group's bounds to fit it.
| `redraw()` Called from the parent class, this method resets any pre-computed positions and sizes.
| `removeChild(?goog.graphics.ext.Element element)` Remove an element from the group.
| `reset()` Reset the element.
| `transformChildren()` Transform the children that need to be transformed.
| `updateChildren()` As part of the reset process, update child elements.